$coin_size: 15px;
$coin_margin: 3px;

@import 'coins.scss';

.crew-sheet {
  @extend .actor-sheet;

  .actor-sheet__data {
    .character-track {
      .boxes {
        margin-bottom: 0;
      }
    }
  }

  #crew-reputation {
    min-width: 220px;
  }

  #crew-heat {
    min-width: 200px;
    flex-grow: 0;
  }
  #crew-joules {
    width: 110px;
    flex-grow: 0;
  }
  #crew-vault {
    h4 {
      background-color: $pink;
      color: $almost_black;
    }
    .coins {
      label {
        border-color: $pink;
      }
    }
  }
  #crew-fuel {
    &.disabled {
      h4 {
        color: $red;
      }
      .boxes {
        visibility: hidden;
      }
    }
  }

  #crew-wanted {
    width: 150px;
    flex-grow: 0;

    h4 {
      text-align: right
    }

    .boxes {
      justify-content: flex-start;
    }
  }

  &__reputation_level {
    display: flex;
  }

  &__resources {
    @include resource_list(5);
  }

  .cohort-roll {
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 140px;
    overflow: hidden;
  }
  .cohort-harm-track {
    @extend .character-track;

    h4 {
      display: flex;
      align-items: center;
      gap: .4rem;

      .cohort-actions {
        font-size: .7rem;
      }
    }
  }

  .tier-experience {
    display: flex;

    #crew-experience {
      width: 100%;
    }

    #crew-tier {
      min-width: 130px;
    }

  }

  .hunting-grounds {
    text-transform: uppercase;

    span {
      cursor: pointer;
      color: #FFF;
      text-decoration: none;

      &:hover {
        color: $pink;
      }

      &.active {
        color: $pink;
        text-decoration: underline;
      }
    }
  }

  .cohorts {
    .cohort {
      margin-bottom: 1.5rem;

      &-type {
        display: block;
        background: linear-gradient(to right, $pink 50%, #FFF 85%);
        font-size: .7rem;
        margin: -1.6rem 0 0;
        padding: 0 .5rem;
      }

      &-info {
        margin: .5rem 0 1rem;
        padding: 0 .5rem;
      }
    }
  }

  .coins {
    display: flex;
    gap: .2rem;
    align-items: center;
  }
}


// Reputation
.crew-reputation {
  border-top: 3px solid $almost_black;
  @include toothradio(17px, 50px, "~assets/teeth/stresstooth-halfgrey.png", "~assets/teeth/stresstooth-red.png");

  input[disabled="disabled"] + label {
    background-image: url(~assets/teeth/stresstooth-black.png);
  }
}

.crew-hold {
  border-top: 3px solid $almost_black;
  @include toothradio_single(17px, 50px, "~assets/teeth/stresstooth-halfgrey.png", "~assets/teeth/stresstooth-red.png");
  width: 221px;
}

.crew-tier {

  background-color: $gray;
  height: 33px;
  width: 145px;
  display: flex;
  align-items: center;
  border-top: 3px solid $almost_black;

  @include custom_radio_round(18px, gray, $almost_white, $almost_black);

  > * {
    margin-right: 5px;
  }

}

.heat-wanted {
  //justify-content: none;
  .small-teeth {
    height: 20px;

    label {
      height: 100%;
      width: 100%;
      cursor: default;
    }
  }
}

.experience-clues-container {
  width: 340px;
  font-size: 12px;

  .experience-clues-description {
    font-weight: bold;
  }

  .experience-clues {
    font-style: italic;
  }
}

// Cohorts styling
.edgeflaw {

  input {
    display: none;

    &:checked {

      & + label {
        color: $red;
      }

    }
  }

}

.gang-expert-type-selector {

  .gang-type-boxes {
    flex-wrap: wrap;
  }
}

.cohorts {
  flex-wrap: wrap;

  .cohort-block-wrapper {
    width: 400px;
  }

  .label-stripe {
    margin-bottom: 0px;
  }

  .cohort-body {
    > div {
      margin-bottom: 10px;
    }
  }

  .cohort-block-harm {

    justify-content: space-around;

    input[type="radio"] {
      display: none;

      &:checked + label {
        color: $almost_white;
        font-weight: bold;
        background-color: $almost_black;
      }
    }

    label {
      border: 2px solid $almost_black;
      border-top: none;
      padding: 5px;
    }
  }
}

.class-name {
  width: 512px;
  height: 120px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  font-size: 48px;
  text-transform: uppercase;
  border: 3px solid $almost_black;

  .big-name {
    font-weight: bold;
    font-family: Kirsty, serif;
  }

  .big-description {
    font-size: 20px;
    font-family: "Crimson Text", serif;
    color: $almost_black;
  }
}

.big-teeth-section {

  border-top: 3px solid $almost_black;
  display: flex;
  flex-direction: row;
  margin-bottom: 0px;

  > * {
    margin-right: 10px;

    &:last-child {
      margin-right: 0px;
    }
  }

  &:last-child {
    margin-right: 0px;
  }

  // Stress
  .big-teeth {
    @include toothradio(17px, 50px, "~assets/teeth/stresstooth-halfgrey.png", "~assets/teeth/stresstooth-red.png");
  }

  /* Trauma */
  .small-teeth-container {

    .small-teeth-wrap {
      @include toothradio(17px, 50px, "~assets/teeth/shorttooth-grey.png", "~assets/teeth/shorttooth-red.png", false);
      flex-direction: column;

      .small-teeth {
        display: flex;
        flex-direction: row;
      }
    }
  }

  .trauma-list {
    @include check_underscore();
    justify-content: space-between;
    align-items: flex-start;
  }

}
